package com.flossom.system.service;

import com.flossom.common.core.domain.entity.WxInstrument;
import com.flossom.common.core.domain.req.WxInstrumentReq;
import com.flossom.common.core.domain.req.WxInstrumentSaveReq;

import java.util.List;


/**
 * 仪器列Service接口
 *
 * @author flossom
 * @date 2024-01-06
 */
public interface IWxInstrumentService {
    /**
     * 查询仪器列
     *
     * @param id 仪器列主键
     * @return 仪器列
     */
    public WxInstrument selectWxInstrumentById(Long id);

    /**
     * 查询仪器列列表
     *
     * @param wxInstrument 仪器列
     * @return 仪器列集合
     */
    public List<WxInstrument> selectWxInstrumentList(WxInstrument wxInstrument);

    /**
     * 查询仪器列列表
     *
     * @return 仪器列集合
     */
    public List<WxInstrument> selectWxInstrumentPage(WxInstrumentReq wxInstrumentReq);

    /**
     * 新增仪器列
     *
     * @param wxInstrument 仪器列
     * @return 结果
     */
    public int insertWxInstrument(WxInstrument wxInstrument);

    /**
     * 批量删除仪器列
     *
     * @param ids 需要删除的仪器列主键集合
     * @return 结果
     */
    public int deleteWxInstrumentByIds(Long id);

    /**
     * 删除仪器列信息
     *
     * @param id 仪器列主键
     * @return 结果
     */
    public int deleteWxInstrumentById(Long id);

    int addWxInstrument(WxInstrumentSaveReq wxInstrumentSaveReq);

    /**
     * 修改仪器列
     *
     * @return 结果
     */
    int updateWxInstrument(WxInstrumentSaveReq wxInstrumentSaveReq);

    WxInstrumentSaveReq selectWxInstrumentReqById(Long id);
}
